// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext.kotlin_version = '2.1.20'
    repositories {
        google()
        mavenCentral()

        // hms
//        maven { url 'http://developer.huawei.com/repo/'}
//         fcm
//        maven { url "https://maven.google.com" }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:8.11.1'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath 'com.google.gms:google-services:4.4.4'
//        classpath 'com.google.dagger:hilt-android-gradle-plugin:2.46.1'
        classpath 'com.google.dagger:hilt-android-gradle-plugin:2.57.2'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files

        // hms
//        classpath 'com.huawei.agconnect:agcp:1.4.1.300'
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://jitpack.io' }
//        jcenter() // Warning: this repository is going to shut down soon

        //mapbox
        maven {
            url 'https://api.mapbox.com/downloads/v2/releases/maven'
            authentication {
                basic(BasicAuthentication)
            }
            credentials {
                // Do not change the username below.
                // This should always be `mapbox` (not your username).
                username = "mapbox"
                // Use the secret token you stored in gradle.properties as the password
                password = project.properties['MAPBOX_DOWNLOADS_TOKEN'] ?: ""
            }
        }
        //hms
//        maven {url 'http://developer.huawei.com/repo/'}
        //fcm
//        maven { url "https://maven.google.com" }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}